<?xml version="1.0" encoding="UTF-8"?><MAMOUNTTAB desc_thai="ทะเบียนบันทึกรายได้และเงินหักไม่ประจำ" desc_eng="Irregular Transaction Table" editcheck="true" mainhelp="MAMOUNTTABHELP" referhelp="MAMOUNTTABHELP" mainkey="AMOUNTTABID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<AMOUNTTABID lang="A" encrypt="N" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Amounttab ID</DESC_ENG>
			<DESC_THAI>รหัสรายได้เงินหักไม่ประจำ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสรายไดเงินหักไม่ประจำ</ALT_THAI>
				<ALT_ENG>Amounttab ID</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</AMOUNTTABID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<READONLY>true</READONLY>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<TDESC lang="T" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<READONLY>false</READONLY>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<READONLY>false</READONLY>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
			</COMPONENT>
		</EDESC>
		<AMNT_TYPE lang="A" encrypt="false" log="true" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Type</DESC_ENG>
			<DESC_THAI>ชนิด</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>FIELDTYPE</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<READONLY>false</READONLY>
				<ALT_THAI>ชนิด</ALT_THAI>
				<ALT_ENG>Type</ALT_ENG>
			</COMPONENT>
		</AMNT_TYPE>
		<AMNT_INDEX lang="A" encrypt="false" log="true" type="Integer">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Order No.</DESC_ENG>
			<DESC_THAI>ลำดับที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<READONLY>false</READONLY>
				<ALT_THAI>ลำดับที่</ALT_THAI>
				<ALT_ENG>Order No.</ALT_ENG>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
		</AMNT_INDEX>
		<MAXLENGTH lang="A" encrypt="false" log="true" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Max Length</DESC_ENG>
			<DESC_THAI>ความกว้างสูงสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<READONLY>false</READONLY>
				<ALT_THAI>ความกว้างสูงสุด</ALT_THAI>
				<ALT_ENG>Max Length</ALT_ENG>
				<!--ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS-->
			</COMPONENT>
		</MAXLENGTH>
		 <ISINCOME lang="A" encrypt="false" log="false" type="String">
            <WIDTH>15</WIDTH>
            <DESC_ENG>Models revenue</DESC_ENG>
            <DESC_THAI>รูปแบบรายได้</DESC_THAI>
            <COMPONENT type="radio">
                <SIZE>15</SIZE>
                <MAXSIZE>15</MAXSIZE>
                <ALT_ENG>Models revenue</ALT_ENG>
                <ALT_THAI>รูปแบบรายได้</ALT_THAI>
                <VALIDCODE>REVENUE</VALIDCODE>
                <DEFAULTVALUE>0</DEFAULTVALUE>
            </COMPONENT>
        </ISINCOME>

	</FIELD>
	<RELATION>
		<MEMPL_AMT>
			<PARENT>MAMOUNTTAB.AMOUNTTABID</PARENT>
			<PARENT>MAMOUNTTAB.COMPANYID</PARENT>
			<CHILD>MEMPL_AMT.AMOUNTTABID</CHILD>
			<CHILD>MEMPL_AMT.COMPANYID</CHILD>
		</MEMPL_AMT>
		<MEMPL_LOAN>
			<PARENT>MAMOUNTTAB.AMOUNTTABID</PARENT>
			<PARENT>MAMOUNTTAB.COMPANYID</PARENT>
			<CHILD>MEMPL_LOAN.AMOUNTTAB</CHILD>
			<CHILD>MEMPL_LOAN.COMPANYID</CHILD>
		</MEMPL_LOAN>
	</RELATION>
</MAMOUNTTAB>
